Subject: devel-digest V2 #179
From: [email-masked] (devel-digest)
To: [email-masked]

devel-digest           Monday, May 24 1999           Volume 02 : Number 179

In this issue:

    NetWinder development
    Re: My memory sucks...RH6?
    Re: My memory sucks...RH6?
    Re: NetWinder development
    RE: My memory sucks...RH6?
    Updating NetWinder, was Re: My memory sucks...RH6?
    Re: KDE 1.1.1 anyone?
    Re: KDE 1.1.1 anyone?
    Re: KDE 1.1.1 anyone?
    Re: setjmp and libpthreads

See the end of this digest for information about devel-digest.

----------------------------------------------------------------------

Date: Sun, 23 May 1999 12:25:58 -0600 (MDT)
From: Ash <[email-masked]>
Subject: NetWinder development

Well, my question wasn't so much whether they were selling the LC or not,
but whether they're going to continue development on the StrongARM based
NetWinder. With the LC not showing up, I'm sure other people than me are
worried about getting a NetWinder and having it land on the deceased
hardware list.

just my $.02

ash

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Sun, 23 May 1999 15:56:30 -0400 (EDT)
From: "Andrew E. Mileski" <[email-masked]>
Subject: Re: My memory sucks...RH6?

> I am not sure I understand. Is the disk image now a collection of tarballs?
> Or shoud I just get ftptar and RTFD?

The disk image is now a collection of RPMS.

- -- 
Andrew E. Mileski         mailto:[email-masked]
Software Developer
Corel Computer Corp.
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Sun, 23 May 1999 16:02:37 -0400 (EDT)
From: "Andrew E. Mileski" <[email-masked]>
Subject: Re: My memory sucks...RH6?

> 
> > I am not sure I understand. Is the disk image now a collection of tarballs?
> > Or shoud I just get ftptar and RTFD?
> 
> The disk image is now a collection of RPMS.
> 
> -- 
> Andrew E. Mileski         mailto:[email-masked]
> Software Developer
> Corel Computer Corp.
> --
> This list is run automagically by Majordomo 1.94.4
> Please send email questions to [email-masked]
> To UNSUBSCRIBE: email [email-masked] with
> "unsubscribe devel" as the body of your message.
> 

- -- 
Andrew E. Mileski         mailto:[email-masked]
Software Developer
Corel Computer Corp.
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Sun, 23 May 1999 16:09:03 -0400 (EDT)
From: "Andrew E. Mileski" <[email-masked]>
Subject: Re: NetWinder development

> Well, my question wasn't so much whether they were selling the LC or not,
> but whether they're going to continue development on the StrongARM based
> NetWinder. With the LC not showing up, I'm sure other people than me are
> worried about getting a NetWinder and having it land on the deceased
> hardware list.

The devteam is only working on the StrongARM based NetWinder
at this time.  There has not been any indication that Rebel.com
will stop working on the StrongARM based NetWinder.

- -- 
Andrew E. Mileski  Software Engineer [OS Team Leader]
Rebel.com  http://www.rebel.com/
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Sun, 23 May 1999 15:40:41 -0500
From: "Ivan R. Judson" <[email-masked]>
Subject: RE: My memory sucks...RH6?

Does this mean we'd be able to use the OpenPROM to do kickstart style installs?

That would be very cool!

- --ivan

- -----Original Message-----
From: [email-masked] [mailto:[email-masked]]On
Behalf Of Andrew E. Mileski
Sent: Sunday, May 23, 1999 3:03 PM
To: [email-masked]
Subject: Re: My memory sucks...RH6?

> 
> > I am not sure I understand. Is the disk image now a collection of tarballs?
> > Or shoud I just get ftptar and RTFD?
> 
> The disk image is now a collection of RPMS.
> 
> -- 
> Andrew E. Mileski         mailto:[email-masked]
> Software Developer
> Corel Computer Corp.
> --
> This list is run automagically by Majordomo 1.94.4
> Please send email questions to [email-masked]
> To UNSUBSCRIBE: email [email-masked] with
> "unsubscribe devel" as the body of your message.
> 

- -- 
Andrew E. Mileski         mailto:[email-masked]
Software Developer
Corel Computer Corp.
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Sun, 23 May 1999 15:22:49 -0700 (PDT)
From: [email-masked]
Subject: Updating NetWinder, was Re: My memory sucks...RH6?

On 23 May, Andrew E. Mileski wrote:

> The disk image is now a collection of RPMS.

As my development efforts are focussed on my application and not the
NetWinder per se, I confess to have not kept up to date on everything.
My NW configuration is basically as it was purchased in Feb.  It's
NetROM 2.0.4 dated Oct 26, 1998, disk image 12, running kernel 2.0.35. 
Other than network config and adding a few applications, I've done
nothing to the machine.  I haven't even risked a kernel compile, which
is usually my first task when I install a new computer.  Other than a
few minor software problems, the machine has been fast and reliable.

Now I am needing to get in the loop.  My development schedule requires
that I bring my Winder up to kernel 2.2.x soon. I also need a
NetWinder compatible database server.

The problem is that the N.O site has not kept up with development. There
hasn't been a substantive change in any of the documents on the site
since I took delivery of my DM.  (The listed latest netrom, kernel and
disk image are the same ones which are on my NW.)

That's too bad. But, maybe I can help.

I will volunteer to fully document the update process for N.O. if
somebody would get me started by pointing me in the right direction.

Contact me, please.

- -- 

Arne W. Flones
[email-masked]
Long Ship Software

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Sun, 23 May 1999 22:55:58 -0400
From: Scott Bambrough <[email-masked]>
Subject: Re: KDE 1.1.1 anyone?

Jon Olson wrote:

> The -fno-exceptions -fno-rtti is NECESSARY because of the broken exception 
> handling in the ARM egcs compiler.  In addition, exceptions blimps out the 
> binaries by at least 50% and causes nasty core dumps at line numbers where 
> there is only a `}'.  Actually, the core dump is in the exception stack 
> manipulation code emitted by the compiler in each destructor.
> 
> There is one unimportant module that actually does throw exceptions,
> ksirc I think, so you either don't compile it or build that module with
> exceptions enabled realizing that it probably won't work.

Jon,

Can you send me some sample code illustrating this problem?  I was under the 
impression this had been fixed in my latest compiler.  If it hasn't I would
like to resolve it.

Scott
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Sun, 23 May 1999 23:11:12 -0400
From: Scott Bambrough <[email-masked]>
Subject: Re: KDE 1.1.1 anyone?

Jon Olson wrote:
> 
> Does the current gcc implement range table exception handling for
> StrongARM yet (and all the associated DWARF2 stack unwinding
> stuff) or must we still use setjmp/longjmp?  If so, exception handling
> makes the C++ code so terrible it's best to leave it off.

It's still setjmp/longjmp ATM I'm afraid.

Scott
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Sun, 23 May 1999 23:16:36 -0400
From: Scott Bambrough <[email-masked]>
Subject: Re: KDE 1.1.1 anyone?

Philip Blundell wrote:
> 
> >Does the current gcc implement range table exception handling for
> >StrongARM yet (and all the associated DWARF2 stack unwinding
> 
> I just looked at this.  The answer is currently no and it's not obvious to
> me right away what would need to be done to make it so.  I think that defining
> INCOMING_RETURN_ADDR_RTX might suffice to convince gcc that Dwarf2 unwind
> *should* work (and make it the default) but of course theory and practice are
> sometimes rather different.
> 
> If you want to give it a go, try adding to config/arm/arm.h something like
> 
> /* Take the return address from the link register.  */
> #define INCOMING_RETURN_ADDR_RTX  gen_rtx_REG (Pmode, 14)
> 
> I'd be interested to hear what happens, even if the result is complete
> and utter devastation. :-)

I'd be interested too.  However, I would not like to see such a patch
introduced into the tree ATM, until most of the current problems are
resolved.  I think stabilizing the tree at the current state would be a more
productive exercise.  

Scott
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Sun, 23 May 1999 23:54:28 -0400
From: Scott Bambrough <[email-masked]>
Subject: Re: setjmp and libpthreads

[email-masked] wrote:
> 
> Sorry if I'm regurgitating old subjects, but I am considering using the
> glibc-2.1.1 version of libpthreads and need to know if it is stable on the StrongArm
> platforms.  Anyone using this with success?

I have compiled and tested the samples and several other small programs using
the threading in glibc.

> Also, I noticed that the glibc source has a fpu and a non-fpu version of
> several headers, includeing setjmp.  There were some old discussions regarding
> the correct length of __jmp_buf[] and the value of __JMP_BUF_SP.  One
> version > of the headers has __JMP_BUF_SP as 8 and the fpu version sets it to 20.
> 
> glibc is installing the fpu version, but I don't understand why __JMP_BUF_SP
> is set to 20.  The comments in setjmp.h indicate v1-v6, sl, fp, sp, and pc are
> saved.  This implies that __JMP_BUF_SP should be set to 8.

The comment should also include the 8 floating point registers as well in the
FPU version.
I'll check on that when I'm in the office next.

> Should the Netwinder be using the fpu version with __JMP_BUF_SP set to 20?

Yes, it should default to that during the build.

> What else is being saved in __jmp_buf to make 20 the correct value for
> __JMP_BUF_SP?

The floating point registers.

Scott
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

End of devel-digest V2 #179
***************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel-digest" as the body of your message.